## rtlwifi-dkms 1.1

=== rtlwifi/Makefile ===
KVER?= $(shell uname -r)
SHELL := /bin/sh
CC = gcc
KVER  := $(KVER)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/rtlwifi
FIRMWAREDIR := /lib/firmware/
PWD := $(shell pwd)
CLR_MODULE_FILES := *.mod.c *.mod *.o .*.cmd *.ko *~ .tmp_versions* modules.order Module.symvers
SYMBOL_FILE := Module.symvers

#Handle the compression option for modules in 3.18+
ifneq ("","$(wildcard $(MODDESTDIR)/*.ko.gz)")
COMPRESS_GZIP := y
endif
ifneq ("","$(wildcard $(MODDESTDIR)/*.ko.xz)")
COMPRESS_XZ := y
endif

EXTRA_CFLAGS += -O2
obj-m := rtlwifi.o
rtlwifi-objs	:=	\
		base.o	\
		cam.o	\
		core.o	\
		debug.o	\
		efuse.o	\
		ps.o	\
		rc.o	\
		regd.o	\
		stats.o

obj-m	+= rtl_pci.o
rtl_pci-objs	:=		pci.o

obj-m	+= rtl_usb.o
rtl_usb-objs	:=		usb.o

obj-m	+= btcoexist/
obj-m	+= rtl8188ee/
obj-m	+= rtl8192c/
obj-m	+= rtl8192ce/
obj-m	+= rtl8192cu/
obj-m	+= rtl8192de/
obj-m	+= rtl8192ee/
obj-m	+= rtl8192se/
obj-m	+= rtl8723ae/
obj-m	+= rtl8723be/
obj-m	+= rtl8821ae/

ccflags-y += -D__CHECK_ENDIAN__

all: 
	$(MAKE) -C $(KSRC) M=$(PWD) modules
install: all
ifeq (,$(wildcard ./backup_drivers.tar))
	@echo Making backups
	@tar cPf backup_drivers.tar $(MODDESTDIR)
endif

	@mkdir -p $(MODDESTDIR)/btcoexist
	@mkdir -p $(MODDESTDIR)/rtl8188ee
	@mkdir -p $(MODDESTDIR)/rtl8192c
	@mkdir -p $(MODDESTDIR)/rtl8192ce
	@mkdir -p $(MODDESTDIR)/rtl8192cu
	@mkdir -p $(MODDESTDIR)/rtl8192de
	@mkdir -p $(MODDESTDIR)/rtl8192ee
	@mkdir -p $(MODDESTDIR)/rtl8192se
	@mkdir -p $(MODDESTDIR)/rtl8723ae
	@mkdir -p $(MODDESTDIR)/rtl8723be
	@mkdir -p $(MODDESTDIR)/rtl8821ae
	@install -p -D -m 644 rtl_pci.ko $(MODDESTDIR)	
	@install -p -D -m 644 rtl_usb.ko $(MODDESTDIR)	
	@install -p -D -m 644 rtlwifi.ko $(MODDESTDIR)
	@install -p -D -m 644 ./btcoexist/btcoexist.ko $(MODDESTDIR)/btcoexist
	@install -p -D -m 644 ./rtl8188ee/rtl8188ee.ko $(MODDESTDIR)/rtl8188ee
	@install -p -D -m 644 ./rtl8192c/rtl8192c-common.ko $(MODDESTDIR)/rtl8192c
	@install -p -D -m 644 ./rtl8192ce/rtl8192ce.ko $(MODDESTDIR)/rtl8192ce
	@install -p -D -m 644 ./rtl8192cu/rtl8192cu.ko $(MODDESTDIR)/rtl8192cu
	@install -p -D -m 644 ./rtl8192de/rtl8192de.ko $(MODDESTDIR)/rtl8192de
	@install -p -D -m 644 ./rtl8192ee/rtl8192ee.ko $(MODDESTDIR)/rtl8192ee
	@install -p -D -m 644 ./rtl8192se/rtl8192se.ko $(MODDESTDIR)/rtl8192se
	@install -p -D -m 644 ./rtl8723ae/rtl8723ae.ko $(MODDESTDIR)/rtl8723ae
	@install -p -D -m 644 ./rtl8723be/rtl8723be.ko $(MODDESTDIR)/rtl8723be
	@install -p -D -m 644 ./rtl8821ae/rtl8821ae.ko $(MODDESTDIR)/rtl8821ae
ifeq ($(COMPRESS_GZIP), y)
	@gzip -f $(MODDESTDIR)/*.ko
	@gzip -f $(MODDESTDIR)/btcoexist/*.ko
	@gzip -f $(MODDESTDIR)/rtl8*/*.ko
endif
ifeq ($(COMPRESS_XZ), y)
	@xz -f $(MODDESTDIR)/*.ko
	@xz -f $(MODDESTDIR)/btcoexist/*.ko
	@xz -f $(MODDESTDIR)/rtl8*/*.ko
endif

	@depmod -a

	@#copy firmware images to target folder
	@cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/
	@echo "Install rtlwifi SUCCESS"

uninstall:
ifneq (,$(wildcard ./backup_drivers.tar))
	@echo Restoring backups
	@tar xvPf backup_drivers.tar
endif
	
	@depmod -a
	
	@echo "Uninstall rtlwifi SUCCESS"

clean:
	@rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	@rm -fr rtl8*/*.mod.c rtl8*/*.mod rtl8*/*.o rtl8*/.*.cmd rtl8*/*.ko rtl8*/*~
	@rm -fr bt*/*.mod.c bt*/*.mod bt*/*.o bt*/.*.cmd bt*/*.ko bt*/*~
	@rm -fr .tmp_versions
	@rm -fr Modules.symvers
	@rm -fr Module.symvers
	@rm -fr Module.markers
	@rm -fr modules.order

=== rtlwifi/btcoexist/Makefile ===
btcoexist-objs :=	halbtc8723b2ant.o	\
			halbtcoutsrc.o		\
			halbtc8192e2ant.o	\
			halbtc8723b1ant.o	\
			halbtc8723b2ant.o	\
			halbtc8821a1ant.o	\
			halbtc8821a2ant.o	\
			halbtcoutsrc.o		\
			rtl_btc.o

obj-m += btcoexist.o

=== rtlwifi/rtl8192c/Makefile ===
rtl8192c-common-objs :=		\
		main.o		\
		dm_common.o	\
		fw_common.o	\
		phy_common.o

obj-m += rtl8192c-common.o

ccflags-y += -D__CHECK_ENDIAN__

=== rtlwifi/rtl8723be/Makefile ===
rtl8723be-objs :=		\
		dm.o		\
		fw.o		\
		hw.o		\
		led.o		\
		phy.o		\
		pwrseq.o	\
		pwrseqcmd.o	\
		rf.o		\
		sw.o		\
		table.o		\
		trx.o		\


obj-m += rtl8723be.o

ccflags-y += -D__CHECK_ENDIAN__

=== debian/changelog ===
rtlwifi-dkms (1.1) trusty; urgency=medium

  * Cleanup fixperms.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 27 Jul 2015 16:17:01 +0800

rtlwifi-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.
  * Fix rtl8723be disconnect problem. (LP: #1472547)
  * Commit: fe8e969.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 27 Jul 2015 14:33:57 +0800

=== debian/control ===
Source: rtlwifi-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: rtlwifi-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: rtlwifi driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=rtlwifi
NAME=rtlwifi
VERSION=1.1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rtlwifi-dkms 1.3

=== debian/changelog ===
rtlwifi-dkms (1.3) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Nov 2016 15:19:42 +0800

rtlwifi-dkms (1.2) trusty; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL to dkms.conf (LP: #1622896)
    Some APIs are deprecated in the newer kernel.

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 19 Oct 2016 10:34:02 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=rtlwifi
 NAME=rtlwifi
-VERSION=1.1
+VERSION=1.3
 
 configure: configure-stamp
 configure-stamp:
